[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio, ocean artist(s) unclear

artists = "
    Fog   by Brendon Oram (Yautja)
    Ocean by j.w.bjerk
             William Allen Simpson
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/fog_ocean.spec joins
; the 9*9 (3**4) fogs and the 9*9 oceans.

; See README.graphics for fog_style = 2 with darkness_style = 4.  Each
; tag is matched with the four cardinal (NE,SE,SW,NW) neighbours of the
; given tile; the three match types are f: fog, k: known, and u: unknown.
; The fog_k_k_k_k sprite (grid 4:4) is not used, the author replaced it
; by an info sprite.

; The 3**4 cellgroups match d: deep ocean (floor), s: shallow (coast),
; and l: land in layer 0.  See water.spec for lakes in layer 0, optional
; corners of d+s and s+l in layer 1, and ice cliffs in layer 2 (w+i for
; water lake/coast/deep and ice glacier).

; As for "all known" fog_k_k_k_k the "all land" cellgroup_l_l_l_l was
; unused.  Its cell 13:4 is now occupied by t.l0.lake1 combining four
; 48x24 "all lake" corners t.l0.lake_cell_[urdl]_s_s_s in water.png.

; t.l0.coast1 is an alias of cellgroup_s_s_s_s (grid 9:0); t.l0.floor1
; is an alias of cellgroup_d_d_d_d (grid 17:8).  The t.l0.terrain1 tags
; are not used if layer 0 has matched sprites for this terrain, but the
; map2oil/w.water.tilespec variant without oceans needs t.l0.floor1 and
; t.l0.coast1 until the water.spec corners in layer 1 are drawn.

[file]
gfx     = "map2oil/fog_ocean"
[grid_fog_ocean]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 96
dy      = 48
tiles   = { "row", "column", "tag"
             0, 0, "t.fog_f_f_f_f"
             0, 1, "t.fog_f_f_f_k"
             0, 2, "t.fog_f_f_f_u"
             0, 3, "t.fog_f_f_k_f"
             0, 4, "t.fog_f_f_k_k"
             0, 5, "t.fog_f_f_k_u"
             0, 6, "t.fog_f_f_u_f"
             0, 7, "t.fog_f_f_u_k"
             0, 8, "t.fog_f_f_u_u"
             1, 0, "t.fog_f_k_f_f"
             1, 1, "t.fog_f_k_f_k"
             1, 2, "t.fog_f_k_f_u"
             1, 3, "t.fog_f_k_k_f"
             1, 4, "t.fog_f_k_k_k"
             1, 5, "t.fog_f_k_k_u"
             1, 6, "t.fog_f_k_u_f"
             1, 7, "t.fog_f_k_u_k"
             1, 8, "t.fog_f_k_u_u"
             2, 0, "t.fog_f_u_f_f"
             2, 1, "t.fog_f_u_f_k"
             2, 2, "t.fog_f_u_f_u"
             2, 3, "t.fog_f_u_k_f"
             2, 4, "t.fog_f_u_k_k"
             2, 5, "t.fog_f_u_k_u"
             2, 6, "t.fog_f_u_u_f"
             2, 7, "t.fog_f_u_u_k"
             2, 8, "t.fog_f_u_u_u"
             3, 0, "t.fog_k_f_f_f"
             3, 1, "t.fog_k_f_f_k"
             3, 2, "t.fog_k_f_f_u"
             3, 3, "t.fog_k_f_k_f"
             3, 4, "t.fog_k_f_k_k"
             3, 5, "t.fog_k_f_k_u"
             3, 6, "t.fog_k_f_u_f"
             3, 7, "t.fog_k_f_u_k"
             3, 8, "t.fog_k_f_u_u"
             4, 0, "t.fog_k_k_f_f"
             4, 1, "t.fog_k_k_f_k"
             4, 2, "t.fog_k_k_f_u"
             4, 3, "t.fog_k_k_k_f"
;            4, 4, "user.info.fog"
             4, 5, "t.fog_k_k_k_u"
             4, 6, "t.fog_k_k_u_f"
             4, 7, "t.fog_k_k_u_k"
             4, 8, "t.fog_k_k_u_u"
             5, 0, "t.fog_k_u_f_f"
             5, 1, "t.fog_k_u_f_k"
             5, 2, "t.fog_k_u_f_u"
             5, 3, "t.fog_k_u_k_f"
             5, 4, "t.fog_k_u_k_k"
             5, 5, "t.fog_k_u_k_u"
             5, 6, "t.fog_k_u_u_f"
             5, 7, "t.fog_k_u_u_k"
             5, 8, "t.fog_k_u_u_u"
             6, 0, "t.fog_u_f_f_f"
             6, 1, "t.fog_u_f_f_k"
             6, 2, "t.fog_u_f_f_u"
             6, 3, "t.fog_u_f_k_f"
             6, 4, "t.fog_u_f_k_k"
             6, 5, "t.fog_u_f_k_u"
             6, 6, "t.fog_u_f_u_f"
             6, 7, "t.fog_u_f_u_k"
             6, 8, "t.fog_u_f_u_u"
             7, 0, "t.fog_u_k_f_f"
             7, 1, "t.fog_u_k_f_k"
             7, 2, "t.fog_u_k_f_u"
             7, 3, "t.fog_u_k_k_f"
             7, 4, "t.fog_u_k_k_k"
             7, 5, "t.fog_u_k_k_u"
             7, 6, "t.fog_u_k_u_f"
             7, 7, "t.fog_u_k_u_k"
             7, 8, "t.fog_u_k_u_u"
             8, 0, "t.fog_u_u_f_f"
             8, 1, "t.fog_u_u_f_k"
             8, 2, "t.fog_u_u_f_u"
             8, 3, "t.fog_u_u_k_f"
             8, 4, "t.fog_u_u_k_k"
             8, 5, "t.fog_u_u_k_u"
             8, 6, "t.fog_u_u_u_f"
             8, 7, "t.fog_u_u_u_k"
             8, 8, "t.fog_u_u_u_u"
             9, 0, "t.l0.cellgroup_s_s_s_s"
             9, 0, "t.l0.coast1"
             9, 1, "t.l0.cellgroup_s_s_s_l"
             9, 2, "t.l0.cellgroup_s_s_s_d"
             9, 3, "t.l0.cellgroup_s_s_l_s"
             9, 4, "t.l0.cellgroup_s_s_l_l"
             9, 5, "t.l0.cellgroup_s_s_l_d"
             9, 6, "t.l0.cellgroup_s_s_d_s"
             9, 7, "t.l0.cellgroup_s_s_d_l"
             9, 8, "t.l0.cellgroup_s_s_d_d"
            10, 0, "t.l0.cellgroup_s_l_s_s"
            10, 1, "t.l0.cellgroup_s_l_s_l"
            10, 2, "t.l0.cellgroup_s_l_s_d"
            10, 3, "t.l0.cellgroup_s_l_l_s"
            10, 4, "t.l0.cellgroup_s_l_l_l"
            10, 5, "t.l0.cellgroup_s_l_l_d"
            10, 6, "t.l0.cellgroup_s_l_d_s"
            10, 7, "t.l0.cellgroup_s_l_d_l"
            10, 8, "t.l0.cellgroup_s_l_d_d"
            11, 0, "t.l0.cellgroup_s_d_s_s"
            11, 1, "t.l0.cellgroup_s_d_s_l"
            11, 2, "t.l0.cellgroup_s_d_s_d"
            11, 3, "t.l0.cellgroup_s_d_l_s"
            11, 4, "t.l0.cellgroup_s_d_l_l"
            11, 5, "t.l0.cellgroup_s_d_l_d"
            11, 6, "t.l0.cellgroup_s_d_d_s"
            11, 7, "t.l0.cellgroup_s_d_d_l"
            11, 8, "t.l0.cellgroup_s_d_d_d"
            12, 0, "t.l0.cellgroup_l_s_s_s"
            12, 1, "t.l0.cellgroup_l_s_s_l"
            12, 2, "t.l0.cellgroup_l_s_s_d"
            12, 3, "t.l0.cellgroup_l_s_l_s"
            12, 4, "t.l0.cellgroup_l_s_l_l"
            12, 5, "t.l0.cellgroup_l_s_l_d"
            12, 6, "t.l0.cellgroup_l_s_d_s"
            12, 7, "t.l0.cellgroup_l_s_d_l"
            12, 8, "t.l0.cellgroup_l_s_d_d"
            13, 0, "t.l0.cellgroup_l_l_s_s"
            13, 1, "t.l0.cellgroup_l_l_s_l"
            13, 2, "t.l0.cellgroup_l_l_s_d"
            13, 3, "t.l0.cellgroup_l_l_l_s"
            13, 4, "t.l0.lake1"
            13, 5, "t.l0.cellgroup_l_l_l_d"
            13, 6, "t.l0.cellgroup_l_l_d_s"
            13, 7, "t.l0.cellgroup_l_l_d_l"
            13, 8, "t.l0.cellgroup_l_l_d_d"
            14, 0, "t.l0.cellgroup_l_d_s_s"
            14, 1, "t.l0.cellgroup_l_d_s_l"
            14, 2, "t.l0.cellgroup_l_d_s_d"
            14, 3, "t.l0.cellgroup_l_d_l_s"
            14, 4, "t.l0.cellgroup_l_d_l_l"
            14, 5, "t.l0.cellgroup_l_d_l_d"
            14, 6, "t.l0.cellgroup_l_d_d_s"
            14, 7, "t.l0.cellgroup_l_d_d_l"
            14, 8, "t.l0.cellgroup_l_d_d_d"
            15, 0, "t.l0.cellgroup_d_s_s_s"
            15, 1, "t.l0.cellgroup_d_s_s_l"
            15, 2, "t.l0.cellgroup_d_s_s_d"
            15, 3, "t.l0.cellgroup_d_s_l_s"
            15, 4, "t.l0.cellgroup_d_s_l_l"
            15, 5, "t.l0.cellgroup_d_s_l_d"
            15, 6, "t.l0.cellgroup_d_s_d_s"
            15, 7, "t.l0.cellgroup_d_s_d_l"
            15, 8, "t.l0.cellgroup_d_s_d_d"
            16, 0, "t.l0.cellgroup_d_l_s_s"
            16, 1, "t.l0.cellgroup_d_l_s_l"
            16, 2, "t.l0.cellgroup_d_l_s_d"
            16, 3, "t.l0.cellgroup_d_l_l_s"
            16, 4, "t.l0.cellgroup_d_l_l_l"
            16, 5, "t.l0.cellgroup_d_l_l_d"
            16, 6, "t.l0.cellgroup_d_l_d_s"
            16, 7, "t.l0.cellgroup_d_l_d_l"
            16, 8, "t.l0.cellgroup_d_l_d_d"
            17, 0, "t.l0.cellgroup_d_d_s_s"
            17, 1, "t.l0.cellgroup_d_d_s_l"
            17, 2, "t.l0.cellgroup_d_d_s_d"
            17, 3, "t.l0.cellgroup_d_d_l_s"
            17, 4, "t.l0.cellgroup_d_d_l_l"
            17, 5, "t.l0.cellgroup_d_d_l_d"
            17, 6, "t.l0.cellgroup_d_d_d_s"
            17, 7, "t.l0.cellgroup_d_d_d_l"
            17, 8, "t.l0.cellgroup_d_d_d_d"
            17, 8, "t.l0.floor1"
          }
