[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Hogne Håskjold
    Daniel Speyer
    Yautja
    CapTVK
    Jason Dorje Short <jdorje@freeciv.org>
    Eleazar / J. W. Bjerk <www.jwbjerk.com>
    qwm
    Marko Lindquist (2.5+ road.maglev.*)
    Vegard Stolpnessæter
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/terrain1.spec contains
; 96x48 resources, roads, railroads, single layer 0 land tiles, and some
; special tiles (mask, dither, select, grid, etc.)

; For Freeciv 2.5+ tags road.maglev.* and t.l0.inaccessible1 are included
; here as found in 2.5.0 amplio2/maglev.spec and amplio2/terrain1.spec.

; For the other Amplio(2) 96x48 tiles see tiles.spec (numbers, letters,
; info dingbats), terrain2.spec (jungles, hills, forests, rivers), and
; fog_ocean.spec (incl. darkness).

; For what's it worth Amplio(2) select_alpha.png and select.png are both
; included here as unit.select0...3.  The bigger (clearer) Amplio2 oasis
; and whales might be too big, map2oil/terrain1.spec also offers the old
; Amplio oasis and whales as alternatives.  Pick what you like better.

; TBD:  The tags tx.fog and tx.darkness might be unused, as long as this
; is handled in fog_ocean.spec for fog_style = 2 and darkness_style = 4.
; The tx.darkness and t.dither.tile tags use the same sprite, is that as
; it should be?  The t.unknown1 tag can be removed, but it might help for
; experiments with a new terrain type.

; TBD:  The sprites for t.fog_u_u_u_u and mask.tile are not identical,
; similarly t.fog_f_f_f_f and tx.fog are rather different.  Maybe the
; mask.tile would limit tx.fog to a variant of t.fog_f_f_f_f.  Are these
; sprites kept for old Freeciv clients not supporting darkness_style = 4?

[file]
gfx     = "map2oil/terrain1"
[grid_terrain1]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 96
dy      = 48
tiles   = { "row", "column", "tag"
             0, 0, "road.road_isolated"
             0, 1, "road.road_ne"
             0, 2, "road.road_e"
             0, 3, "road.road_se"
             0, 4, "road.road_s"
             0, 5, "road.road_sw"
             0, 6, "road.road_w"
             0, 7, "road.road_nw"
             0, 8, "road.road_n"
             1, 0, "road.rail_isolated"
             1, 1, "road.rail_ne"
             1, 2, "road.rail_e"
             1, 3, "road.rail_se"
             1, 4, "road.rail_s"
             1, 5, "road.rail_sw"
             1, 6, "road.rail_w"
             1, 7, "road.rail_nw"
             1, 8, "road.rail_n"
             2, 0, "road.maglev_isolated"
             2, 1, "road.maglev_ne"
             2, 2, "road.maglev_e"
             2, 3, "road.maglev_se"
             2, 4, "road.maglev_s"
             2, 5, "road.maglev_sw"
             2, 6, "road.maglev_w"
             2, 7, "road.maglev_nw"
             2, 8, "road.maglev_n"
             3, 0, "t.l0.desert1"
             3, 1, "t.l0.plains1"
             3, 1, "t.l0.jungle1"
             3, 2, "t.l0.grassland1"
             3, 3, "t.l0.forest1"
             3, 4, "t.l0.tundra1"
             3, 5, "t.l0.hills1"
             3, 5, "t.l0.mountains1"
             3, 6, "t.l0.swamp1"
             3, 7, "t.l0.arctic1"
             3, 7, "t.blend.arctic"
             3, 8, "t.l0.inaccessible1"
             4, 0, "tx.oil_mine"
             4, 1, "tx.mine"
             4, 2, "tx.irrigation"
             4, 3, "tx.farmland"
             4, 4, "tx.pollution"
             4, 5, "tx.fallout"
             4, 6, "tx.village"
             4, 7, "tx.fog"
             4, 8, "t.dither_tile"
             4, 8, "tx.darkness"
             5, 0, "grid.borders.w"
             5, 1, "grid.borders.e"
             5, 2, "grid.selected.we"
             5, 3, "grid.coastline.we"
             5, 4, "grid.main.we"
             5, 5, "grid.city.we"
             5, 6, "grid.worked.we"
             5, 7, "grid.unavailable"
             5, 8, "mask.tile"
             5, 8, "t.unknown1"
             6, 0, "grid.borders.n"
             6, 1, "grid.borders.s"
             6, 2, "grid.selected.ns"
             6, 3, "grid.coastline.ns"
             6, 4, "grid.main.ns"
             6, 5, "grid.city.ns"
             6, 6, "grid.worked.ns"
             6, 7, "grid.nonnative"
             6, 8, "t.blend.coast"
             6, 8, "t.blend.lake"
             7, 0, "unit.select0"
             7, 1, "unit.select1"
             7, 2, "unit.select2"
             7, 3, "unit.select3"
             7, 4, "user.attention"
;            7, 5, "unit.select0"
;            7, 6, "unit.select1"
;            7, 7, "unit.select2"
;            7, 8, "unit.select3"
             8, 0, "ts.oasis"
             8, 1, "ts.buffalo"
             8, 2, "ts.grassland_resources"
             8, 2, "ts.river_resources"
             8, 3, "ts.pheasant"
             8, 4, "ts.furs"
             8, 5, "ts.wine"
             8, 6, "ts.peat"
             8, 7, "ts.arctic_ivory"
             8, 8, "ts.iron"
             9, 0, "ts.oil"
             9, 0, "ts.arctic_oil"
             9, 1, "ts.wheat"
             9, 2, "ts.fish"
             9, 3, "ts.silk"
             9, 4, "ts.tundra_game"
             9, 5, "ts.coal"
             9, 6, "ts.spice"
             9, 7, "ts.whales"
             9, 8, "ts.gold"
            10, 0, "ts.gems"
            10, 1, "ts.fruit"
            10, 2, "ts.horses"
            10, 3, "ts.seals"
            10, 4, "ts.forest_game"
;           10, 5, "user.info.manual.mountains"
;           10, 6, "ts.oasis"
;           10, 7, "ts.whales"
;           10, 8, "tx.farmland"
          }
