[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Forest by Tim F. Smith <yoohootim@hotmail.com>
    Rivers by Yautja
    Hills  by Peter Arbor <peter.arbor@gmail.com>
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/terrain2.spec covers
; forests, jungles, hills, and rivers.

; Map2oil needs two layers with "land", see fog_ocean.spec for the kept
; layer 0 and water.spec for the new layer 1 with coastal corners.  Ice,
; forest, jungle, hills, and mountains are now handled in layer 2.

; TBD:  Maybe Amplio2 used the 1st and Amplio used the 2nd set of rivers
; mouths; pick what you like better.  It is also possible that the second
; set was intended for oceans and the first set for lakes, but that would
; require client support for two different sets of tags.

; The isolated river (grid 1:0) may be drawn when units can see the tile,
; and any adjacent river parts are still unknown.  TBD:  The map generator
; does not create isolated river tiles.  Rivers on glaciers are rare, but
; not impossible, as defined by flag "CanHaveRiver" in a terrain.ruleset.

; The 16 Amplio2 jungle sprites ended up as only 14 jungles here.  Two
; lost sprites were duplicates (modulo full transparency), but the 16
; t.l2.jungle_n?e?s?w? tags still exist.

; Amplio had three match types for forest, hills, and mountains.  Amplio2
; used only match types hills (hills or mountains) and forest (forest or
; jungle).  See mountains.spec and README.graphics for the 96x66 tiles.

; In Amplio2 (and similar in Amplio) hills and mountains can apparently
; overlap matching NE (n1e?s?w?) or NW (n?e?s?w1) neighbours, but stay
; out of matching SE (n?e1s?w?) or SW (n?e?s1w?) neighbour cells.  TBD:
; What is the idea?

; It is not obvious why mountains and hills had the same match type hills
; in Amplio2, and map2oil/common2.tilespec revives the unused match type
; mountains for this purpose (as it was in Amplio).

; It is not clear why t.l2.forest_n?e?s?w? were matched at all.  Maybe
; old clients could not randomize t.l<m>.forest<n> outside of layer 0, or
; did not grok n = 1..16.

; Amplio had no set of jungle tiles, isolated forest tiles always ended
; up as n0e0s0w0, etc.  Amplio2 got a pseudo-random effect by matching
; forest also with jungle (and vice versa).  Enumerations of 16 forests
; and 14 jungles in layer 2 work (tested with GTK2 2.4.2), but for now
; Map2oil sticks to one pseudo-random match type forest.

[file]
gfx     = "map2oil/terrain2"
[grid_terrain2]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 96
dy      = 48
tiles   = { "row", "column", "tag"
             0, 0, "road.river_outlet_n"
             0, 1, "road.river_outlet_e"
             0, 2, "road.river_outlet_s"
             0, 3, "road.river_outlet_w"
;            0, 4, "road.river_outlet_n"
;            0, 5, "road.river_outlet_e"
;            0, 6, "road.river_outlet_s"
;            0, 7, "road.river_outlet_w"
             1, 0, "road.river_s_n0e0s0w0"
             1, 1, "road.river_s_n1e0s0w0"
             1, 2, "road.river_s_n0e1s0w0"
             1, 3, "road.river_s_n1e1s0w0"
             1, 4, "road.river_s_n0e0s1w0"
             1, 5, "road.river_s_n1e0s1w0"
             1, 6, "road.river_s_n0e1s1w0"
             1, 7, "road.river_s_n1e1s1w0"
             2, 0, "road.river_s_n0e0s0w1"
             2, 1, "road.river_s_n1e0s0w1"
             2, 2, "road.river_s_n0e1s0w1"
             2, 3, "road.river_s_n1e1s0w1"
             2, 4, "road.river_s_n0e0s1w1"
             2, 5, "road.river_s_n1e0s1w1"
             2, 6, "road.river_s_n0e1s1w1"
             2, 7, "road.river_s_n1e1s1w1"
             3, 0, "t.l2.forest_n0e0s0w0"
             3, 1, "t.l2.forest_n1e0s0w0"
             3, 2, "t.l2.forest_n0e1s0w0"
             3, 3, "t.l2.forest_n1e1s0w0"
             3, 4, "t.l2.forest_n0e0s1w0"
             3, 5, "t.l2.forest_n1e0s1w0"
             3, 6, "t.l2.forest_n0e1s1w0"
             3, 7, "t.l2.forest_n1e1s1w0"
             4, 0, "t.l2.forest_n0e0s0w1"
             4, 1, "t.l2.forest_n1e0s0w1"
             4, 2, "t.l2.forest_n0e1s0w1"
             4, 3, "t.l2.forest_n1e1s0w1"
             4, 4, "t.l2.forest_n0e0s1w1"
             4, 5, "t.l2.forest_n1e0s1w1"
             4, 6, "t.l2.forest_n0e1s1w1"
             4, 7, "t.l2.forest_n1e1s1w1"
             5, 0, "t.l2.hills_n0e0s0w0"
             5, 1, "t.l2.hills_n1e0s0w0"
             5, 2, "t.l2.hills_n0e1s0w0"
             5, 3, "t.l2.hills_n1e1s0w0"
             5, 4, "t.l2.hills_n0e0s1w0"
             5, 5, "t.l2.hills_n1e0s1w0"
             5, 6, "t.l2.hills_n0e1s1w0"
             5, 7, "t.l2.hills_n1e1s1w0"
             6, 0, "t.l2.hills_n0e0s0w1"
             6, 1, "t.l2.hills_n1e0s0w1"
             6, 2, "t.l2.hills_n0e1s0w1"
             6, 3, "t.l2.hills_n1e1s0w1"
             6, 4, "t.l2.hills_n0e0s1w1"
             6, 5, "t.l2.hills_n1e0s1w1"
             6, 6, "t.l2.hills_n0e1s1w1"
             6, 7, "t.l2.hills_n1e1s1w1"
             7, 0, "t.l2.jungle_n0e0s0w0"
             7, 0, "t.l2.jungle_n1e0s0w0"
             7, 1, "t.l2.jungle_n0e1s0w0"
             7, 2, "t.l2.jungle_n1e1s0w0"
             7, 3, "t.l2.jungle_n0e0s1w0"
             7, 4, "t.l2.jungle_n1e0s1w0"
             7, 5, "t.l2.jungle_n0e1s1w0"
             7, 5, "t.l2.jungle_n1e1s1w0"
             7, 6, "t.l2.jungle_n0e0s0w1"
             7, 7, "t.l2.jungle_n1e0s0w1"
             8, 0, "t.l2.jungle_n0e1s0w1"
             8, 1, "t.l2.jungle_n1e1s0w1"
             8, 2, "t.l2.jungle_n0e0s1w1"
             8, 3, "t.l2.jungle_n1e0s1w1"
             8, 4, "t.l2.jungle_n0e1s1w1"
             8, 5, "t.l2.jungle_n1e1s1w1"
          }
