[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Hogne Håskjold
    Tim F. Smith <yoohootim@hotmail.com>
    Yautja
    Daniel Speyer
    Eleazar
    j.w.bjerk
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/water.spec contains
; all (128) 48x24 water corners as found in amplio or amplio2/water.png.

; Two sets (2*4) of river mouths and 16 river connections are now stored
; in terrain2.png with other 96x48 terrains, see map2oil/terrain2.spec.

; The 48x24 corners consist of four sets:  32 lakes for "FreshWater" as
; defined in a terrain.ruleset, 32 coasts (ocean), 32 deep ocean (floor),
; and 32 ice cliffs.

; See also sprite_type "corner" in README.graphics:  The 32 sprites are
; sets of 8 (2**3) sprites for four corners (u: up, r: right, d: down,
; l: left).  2*2 of these 48x24 corners yield the basic 96x48 tile size.

; Amplio(2) only used the 32 ice cliffs and the 32 lakes.  The 32 floor
; tags were associated with the same ice cliffs.  The 32 floor and 32
; coast cells in [grid_coasts] were not used at all.

; Presumably layer 0 with its 81 ocean cellgroup tags was good enough for
; 3*3*3*3 combinations of shallow water, deep water, and land in layer 0.

; For map2oil the other solution with 2*32 corners is drawn in layer 1,
; with match types shallow, deep, land as in layer 0.  Glaciers get an
; undefined and unused layer 1 match type ice, because the ice cliffs are
; now drawn in layer 2.  All other terrains get layer 1 match type land,
; same idea as in layer 0.  All other Amplio(2) layer 1 business went to
; layer 2, see map2oil/terrain2.spec and map2oil/mountains.spec.

; The Amplio(2) water.png was quite "dirty", i.e., many fully transparent
; pixels contained bogus colour informations, various visible pixels are
; "off by one" (outside of their isometric box, harmless, not fixed), but
; one bogey in t.l?.coast_cell_r_s_s_s had to be fixed for the purposes
; of Map2oil.

; The four "all lake" 48x24 corners t.l0.lake_cell_[urdl]_s_s_s now also
; exist as combined 96x48 t.l0.lake1 in fog_ocean.png, see fog_ocean.spec.

[file]
gfx     = "map2oil/water"
[grid_water]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 48
dy      = 24
tiles   = { "row", "column", "tag"
             0, 0, "t.l0.lake_cell_u_s_s_s"
             0, 1, "t.l0.lake_cell_u_l_s_s"
             0, 2, "t.l0.lake_cell_u_s_l_s"
             0, 3, "t.l0.lake_cell_u_l_l_s"
             0, 4, "t.l0.lake_cell_u_s_s_l"
             0, 5, "t.l0.lake_cell_u_l_s_l"
             0, 6, "t.l0.lake_cell_u_s_l_l"
             0, 7, "t.l0.lake_cell_u_l_l_l"
             1, 0, "t.l0.lake_cell_r_s_s_s"
             1, 1, "t.l0.lake_cell_r_l_s_s"
             1, 2, "t.l0.lake_cell_r_s_l_s"
             1, 3, "t.l0.lake_cell_r_l_l_s"
             1, 4, "t.l0.lake_cell_r_s_s_l"
             1, 5, "t.l0.lake_cell_r_l_s_l"
             1, 6, "t.l0.lake_cell_r_s_l_l"
             1, 7, "t.l0.lake_cell_r_l_l_l"
             2, 0, "t.l0.lake_cell_d_s_s_s"
             2, 1, "t.l0.lake_cell_d_l_s_s"
             2, 2, "t.l0.lake_cell_d_s_l_s"
             2, 3, "t.l0.lake_cell_d_l_l_s"
             2, 4, "t.l0.lake_cell_d_s_s_l"
             2, 5, "t.l0.lake_cell_d_l_s_l"
             2, 6, "t.l0.lake_cell_d_s_l_l"
             2, 7, "t.l0.lake_cell_d_l_l_l"
             3, 0, "t.l0.lake_cell_l_s_s_s"
             3, 1, "t.l0.lake_cell_l_l_s_s"
             3, 2, "t.l0.lake_cell_l_s_l_s"
             3, 3, "t.l0.lake_cell_l_l_l_s"
             3, 4, "t.l0.lake_cell_l_s_s_l"
             3, 5, "t.l0.lake_cell_l_l_s_l"
             3, 6, "t.l0.lake_cell_l_s_l_l"
             3, 7, "t.l0.lake_cell_l_l_l_l"
             4, 0, "t.l1.coast_cell_u_s_s_s"
             4, 1, "t.l1.coast_cell_u_l_s_s"
             4, 2, "t.l1.coast_cell_u_s_l_s"
             4, 3, "t.l1.coast_cell_u_l_l_s"
             4, 4, "t.l1.coast_cell_u_s_s_l"
             4, 5, "t.l1.coast_cell_u_l_s_l"
             4, 6, "t.l1.coast_cell_u_s_l_l"
             4, 7, "t.l1.coast_cell_u_l_l_l"
             5, 0, "t.l1.coast_cell_r_s_s_s"
             5, 1, "t.l1.coast_cell_r_l_s_s"
             5, 2, "t.l1.coast_cell_r_s_l_s"
             5, 3, "t.l1.coast_cell_r_l_l_s"
             5, 4, "t.l1.coast_cell_r_s_s_l"
             5, 5, "t.l1.coast_cell_r_l_s_l"
             5, 6, "t.l1.coast_cell_r_s_l_l"
             5, 7, "t.l1.coast_cell_r_l_l_l"
             6, 0, "t.l1.coast_cell_d_s_s_s"
             6, 1, "t.l1.coast_cell_d_l_s_s"
             6, 2, "t.l1.coast_cell_d_s_l_s"
             6, 3, "t.l1.coast_cell_d_l_l_s"
             6, 4, "t.l1.coast_cell_d_s_s_l"
             6, 5, "t.l1.coast_cell_d_l_s_l"
             6, 6, "t.l1.coast_cell_d_s_l_l"
             6, 7, "t.l1.coast_cell_d_l_l_l"
             7, 0, "t.l1.coast_cell_l_s_s_s"
             7, 1, "t.l1.coast_cell_l_l_s_s"
             7, 2, "t.l1.coast_cell_l_s_l_s"
             7, 3, "t.l1.coast_cell_l_l_l_s"
             7, 4, "t.l1.coast_cell_l_s_s_l"
             7, 5, "t.l1.coast_cell_l_l_s_l"
             7, 6, "t.l1.coast_cell_l_s_l_l"
             7, 7, "t.l1.coast_cell_l_l_l_l"
             8, 0, "t.l1.floor_cell_u_s_s_s"
             8, 1, "t.l1.floor_cell_u_d_s_s"
             8, 2, "t.l1.floor_cell_u_s_d_s"
             8, 3, "t.l1.floor_cell_u_d_d_s"
             8, 4, "t.l1.floor_cell_u_s_s_d"
             8, 5, "t.l1.floor_cell_u_d_s_d"
             8, 6, "t.l1.floor_cell_u_s_d_d"
             8, 7, "t.l1.floor_cell_u_d_d_d"
             9, 0, "t.l1.floor_cell_r_s_s_s"
             9, 1, "t.l1.floor_cell_r_d_s_s"
             9, 2, "t.l1.floor_cell_r_s_d_s"
             9, 3, "t.l1.floor_cell_r_d_d_s"
             9, 4, "t.l1.floor_cell_r_s_s_d"
             9, 5, "t.l1.floor_cell_r_d_s_d"
             9, 6, "t.l1.floor_cell_r_s_d_d"
             9, 7, "t.l1.floor_cell_r_d_d_d"
            10, 0, "t.l1.floor_cell_d_s_s_s"
            10, 1, "t.l1.floor_cell_d_d_s_s"
            10, 2, "t.l1.floor_cell_d_s_d_s"
            10, 3, "t.l1.floor_cell_d_d_d_s"
            10, 4, "t.l1.floor_cell_d_s_s_d"
            10, 5, "t.l1.floor_cell_d_d_s_d"
            10, 6, "t.l1.floor_cell_d_s_d_d"
            10, 7, "t.l1.floor_cell_d_d_d_d"
            11, 0, "t.l1.floor_cell_l_s_s_s"
            11, 1, "t.l1.floor_cell_l_d_s_s"
            11, 2, "t.l1.floor_cell_l_s_d_s"
            11, 3, "t.l1.floor_cell_l_d_d_s"
            11, 4, "t.l1.floor_cell_l_s_s_d"
            11, 5, "t.l1.floor_cell_l_d_s_d"
            11, 6, "t.l1.floor_cell_l_s_d_d"
            11, 7, "t.l1.floor_cell_l_d_d_d"
            12, 0, "t.l2.coast_cell_u_w_w_w"
            12, 0, "t.l2.coast_cell_d_w_w_w"
            12, 0, "t.l2.coast_cell_l_w_w_w"
            12, 0, "t.l2.coast_cell_r_w_w_w"
            12, 0, "t.l2.lake_cell_u_w_w_w"
            12, 0, "t.l2.lake_cell_d_w_w_w"
            12, 0, "t.l2.lake_cell_l_w_w_w"
            12, 0, "t.l2.lake_cell_r_w_w_w"
            12, 0, "t.l2.floor_cell_u_w_w_w"
            12, 0, "t.l2.floor_cell_d_w_w_w"
            12, 0, "t.l2.floor_cell_l_w_w_w"
            12, 0, "t.l2.floor_cell_r_w_w_w"
            12, 1, "t.l2.coast_cell_u_i_w_w"
            12, 1, "t.l2.lake_cell_u_i_w_w"
            12, 1, "t.l2.floor_cell_u_i_w_w"
            12, 2, "t.l2.coast_cell_u_w_i_w"
            12, 2, "t.l2.lake_cell_u_w_i_w"
            12, 2, "t.l2.floor_cell_u_w_i_w"
            12, 3, "t.l2.coast_cell_u_i_i_w"
            12, 3, "t.l2.lake_cell_u_i_i_w"
            12, 3, "t.l2.floor_cell_u_i_i_w"
            12, 4, "t.l2.coast_cell_u_w_w_i"
            12, 4, "t.l2.lake_cell_u_w_w_i"
            12, 4, "t.l2.floor_cell_u_w_w_i"
            12, 5, "t.l2.coast_cell_u_i_w_i"
            12, 5, "t.l2.lake_cell_u_i_w_i"
            12, 5, "t.l2.floor_cell_u_i_w_i"
            12, 6, "t.l2.coast_cell_u_w_i_i"
            12, 6, "t.l2.lake_cell_u_w_i_i"
            12, 6, "t.l2.floor_cell_u_w_i_i"
            12, 7, "t.l2.coast_cell_u_i_i_i"
            12, 7, "t.l2.lake_cell_u_i_i_i"
            12, 7, "t.l2.floor_cell_u_i_i_i"
            13, 0, "t.l2.coast_cell_r_i_w_w"
            13, 0, "t.l2.lake_cell_r_i_w_w"
            13, 0, "t.l2.floor_cell_r_i_w_w"
            13, 1, "t.l2.coast_cell_r_w_i_w"
            13, 1, "t.l2.lake_cell_r_w_i_w"
            13, 1, "t.l2.floor_cell_r_w_i_w"
            13, 2, "t.l2.coast_cell_r_i_i_w"
            13, 2, "t.l2.lake_cell_r_i_i_w"
            13, 2, "t.l2.floor_cell_r_i_i_w"
            13, 3, "t.l2.coast_cell_r_w_w_i"
            13, 3, "t.l2.lake_cell_r_w_w_i"
            13, 3, "t.l2.floor_cell_r_w_w_i"
            13, 4, "t.l2.coast_cell_r_i_w_i"
            13, 4, "t.l2.lake_cell_r_i_w_i"
            13, 4, "t.l2.floor_cell_r_i_w_i"
            13, 5, "t.l2.coast_cell_r_w_i_i"
            13, 5, "t.l2.lake_cell_r_w_i_i"
            13, 5, "t.l2.floor_cell_r_w_i_i"
            13, 6, "t.l2.coast_cell_r_i_i_i"
            13, 6, "t.l2.lake_cell_r_i_i_i"
            13, 6, "t.l2.floor_cell_r_i_i_i"
            13, 7, "t.l2.coast_cell_d_i_w_w"
            13, 7, "t.l2.lake_cell_d_i_w_w"
            13, 7, "t.l2.floor_cell_d_i_w_w"
            14, 0, "t.l2.coast_cell_d_w_i_w"
            14, 0, "t.l2.lake_cell_d_w_i_w"
            14, 0, "t.l2.floor_cell_d_w_i_w"
            14, 1, "t.l2.coast_cell_d_i_i_w"
            14, 1, "t.l2.lake_cell_d_i_i_w"
            14, 1, "t.l2.floor_cell_d_i_i_w"
            14, 2, "t.l2.coast_cell_d_w_w_i"
            14, 2, "t.l2.lake_cell_d_w_w_i"
            14, 2, "t.l2.floor_cell_d_w_w_i"
            14, 3, "t.l2.coast_cell_d_i_w_i"
            14, 3, "t.l2.lake_cell_d_i_w_i"
            14, 3, "t.l2.floor_cell_d_i_w_i"
            14, 4, "t.l2.coast_cell_d_w_i_i"
            14, 4, "t.l2.lake_cell_d_w_i_i"
            14, 4, "t.l2.floor_cell_d_w_i_i"
            14, 5, "t.l2.coast_cell_d_i_i_i"
            14, 5, "t.l2.lake_cell_d_i_i_i"
            14, 5, "t.l2.floor_cell_d_i_i_i"
            14, 6, "t.l2.coast_cell_l_i_w_w"
            14, 6, "t.l2.lake_cell_l_i_w_w"
            14, 6, "t.l2.floor_cell_l_i_w_w"
            14, 7, "t.l2.coast_cell_l_w_i_w"
            14, 7, "t.l2.lake_cell_l_w_i_w"
            14, 7, "t.l2.floor_cell_l_w_i_w"
            15, 0, "t.l2.coast_cell_l_i_i_w"
            15, 0, "t.l2.lake_cell_l_i_i_w"
            15, 0, "t.l2.floor_cell_l_i_i_w"
            15, 1, "t.l2.coast_cell_l_w_w_i"
            15, 1, "t.l2.lake_cell_l_w_w_i"
            15, 1, "t.l2.floor_cell_l_w_w_i"
            15, 2, "t.l2.coast_cell_l_i_w_i"
            15, 2, "t.l2.lake_cell_l_i_w_i"
            15, 2, "t.l2.floor_cell_l_i_w_i"
            15, 3, "t.l2.coast_cell_l_w_i_i"
            15, 3, "t.l2.lake_cell_l_w_i_i"
            15, 3, "t.l2.floor_cell_l_w_i_i"
            15, 4, "t.l2.coast_cell_l_i_i_i"
            15, 4, "t.l2.lake_cell_l_i_i_i"
            15, 4, "t.l2.floor_cell_l_i_i_i"
          }
